Delete a webhook
DELETE
https://api.propexo.com/v1/webhooks/:webhook_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
webhook_id stringrequired
The ID of the webhook to delete
Request
This endpoint expects an object.
object
Response
Successful response
result objectrequired
idstringrequired
The ID of the webhook that was deleted
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
DELETE /v1/webhooks/:webhook_id
curl -X DELETE https://api.propexo.com/v1/webhooks/:webhook_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
200 Successful response
{
"result": {
"id": "string"
}
}